if ($('#gobackpage').val()) {
    var gobackpage = $('#gobackpage').val();
} else {
    var gobackpage = 1;
}
var uname = $('#gobackuname').val();

$.ajax({
    url: 'allot_user_list',
    type: 'post',
    data: {
        uname: uname,
        page: gobackpage
    },
    success: function (data) {
        $('#datatable tbody').html('');
        $('#datatable tbody').html(data);
        if ($('#totalPage').val() > 0) {
            $('.nullData').hide();
            $('#page').parent().show();
        } else {
            $('.nullData').show();
            $('#page').parent().hide();
        }
        layui.use('form', function(){
            var form = layui.form;
            form.render(); //更新全部
        //各种基于事件的操作，下面会有进一步介绍
        });
        // 分页初始化
        layui.use('laypage', function () {
            var laypage = layui.laypage;
            laypage.render({
                elem: 'page' //注意，这里的 test1 是 ID，不用加 # 号
                , curr: gobackpage
                , count: $('#total_nums').val()
                , theme: '#2ca9f9'
                , layout: ['prev', 'page', 'next', 'skip']
                , jump: function (obj, first) {

                    if (!first) {
                        $.ajax({
                            url: 'allot_user_list',
                            type: 'post',
                            data: {
                                uname: uname,
                                page: obj.curr,
                            },
                            success: function (data) {
                                $('#datatable tbody').html('');
                                $('#datatable tbody').html(data);
                                if ($('#totalPage').val() > 0) {
                                    $('.nullData').hide();
                                    $('#page').parent().show();
                                } else {
                                    $('.nullData').show();
                                    $('#page').parent().hide();
                                }
                                layui.use('form', function(){
                                    var form = layui.form;
                                    form.render(); //更新全部
                                //各种基于事件的操作，下面会有进一步介绍
                                });
                            }
                        })
                    }
                }
            });
        });
    }
})

//用户筛选：
function sub_filter() {
    var uname = $('#uname').val();
    $.ajax({
        url: 'allot_user_list',
        type: 'post',
        data: {
            uname: uname,
            page: 1
        },
        success: function (data) {
            $('#datatable tbody').html('');
            $('#datatable tbody').html(data);
            if ($('#total_nums').val() > 0) {
                $('.nullData').hide();
                $('#page').parent().show();
            } else {
                $('.nullData').show();
                $('#page').parent().hide();
            }
            var datas = {
                uname: uname,
            }
            initSearchPage($('#total_nums').val(), 'allot_user_list', datas);
            $('#totalPage').val($('#total_nums').val())
            layui.use('form', function(){
                var form = layui.form;
                form.render(); //更新全部
            //各种基于事件的操作，下面会有进一步介绍
            });
        }
    })
}
//用户搜索分页
function initSearchPage(page, url, datas) {
    layui.use('laypage', function () {
        var laypage = layui.laypage;
        laypage.render({
            elem: 'page' //注意，这里的 test1 是 ID，不用加 # 号
            // , count: 30
            , count: page
            , theme: '#428BCA'
            , layout: ['prev', 'page', 'next', 'skip']
            , jump: function (obj, first) {
                datas.page = obj.curr;
                if (!first) {
                    $.ajax({
                        url: url,
                        type: 'post',
                        data: datas,
                        success: function (data) {
                            $('#datatable tbody').html('');
                            $('#datatable tbody').html(data);
                            if ($('#total_nums').val() > 0) {
                                $('.nullData').hide();
                                $('#page').parent().show();
                            } else {
                                $('.nullData').show();
                                $('#page').parent().hide();
                            }
                            layui.use('form', function(){
                                var form = layui.form;
                                form.render(); //更新全部
                            //各种基于事件的操作，下面会有进一步介绍
                            });
                        }
                    })
                }
            }
        });
    });
}

function allotEquipPage(uname) {
    var currPage = $('#page .layui-laypage-curr em').eq(1).html();
    var f_name = $('#uname').val();
    window.location.href = 'allot?uname=' + uname + '&currpage=' + currPage + '&f_name=' + f_name;
}